<?php

require($_SERVER['DOCUMENT_ROOT']."/config.php");
require($_SERVER['DOCUMENT_ROOT']."/version.php");

#Connect to the database
$connect = mysqli_connect(DBASE_HOST, DBASE_USER, DBASE_PASS, DBASE_NAME);
if (! $connect) {
	die('Connect Error (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());
}
mysqli_set_charset($connect, "utf8" );


if (isset($_POST['insert']) || isset($_POST['update'])) {
	if (isset($_POST['insert'])) {
		$sql  = "INSERT INTO `divides` SET ";
	}
	if (isset($_POST['update'])) {
		$sql  = "UPDATE `divides` SET ";
	}

	$sql .= "divide_from='" . mysqli_real_escape_string($connect, $_POST['divide_from']);
	$sql .= "', divide_type='" . $_POST['divide_type'];
	$sql .= "', divide_size='" . $_POST['divide_size'];
	$sql .= "', divide_part='" . $_POST['divide_part'];
	$sql .= "', name='" . mysqli_real_escape_string($connect, $_POST['name']);
	$sql .= "', code='" . mysqli_real_escape_string($connect, $_POST['code']);
	if (isset($_POST['insert'])) {
		$sql .= "';";
	}
	if (isset($_POST['update'])) {
		$sql .= "' WHERE record='" . $_POST['record'] . "';";
	}
	syslog(LOG_NOTICE, $sql);

	$result = mysqli_query($connect, $sql);
	if (! $result) {
		syslog(LOG_NOTICE, "db_divides: ".$sql." result: ".mysqli_error($connect));
	} else {
		if (isset($_POST['update'])) {
			syslog(LOG_NOTICE, "db_divides: updated record ".$_POST['record']);
		} else {
			$lastid = mysqli_insert_id($connect);
			syslog(LOG_NOTICE, "db_divides: inserted record ".$lastid);
		}
	}
	echo $result;

} else if (isset($_POST['delete'])) {
	// DELETE COMMAND
	$sql = "DELETE FROM `divides` WHERE record='".$_POST['record']."';";
	$result = mysqli_query($connect, $sql);
	if (! $result) {
		syslog(LOG_NOTICE, "db_divides: ".$sql." result: ".mysqli_error($connect));
	} else {
		syslog(LOG_NOTICE, "db_divides: deleted record ".$_POST['record']);
	}
	echo $result;

} else {
	// SELECT COMMAND
	$query = "SELECT * FROM divides ORDER BY divide_from,divide_part";
	$result = mysqli_query($connect, $query) or die("SQL Error 1: " . mysqli_error($connect));
	while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
		$divides[] = array(
			'record' => $row['record'],
			'divide_from' => $row['divide_from'],
			'divide_type' => $row['divide_type'],
			'divide_size' => $row['divide_size'],
			'divide_part' => $row['divide_part'],
			'name' => $row['name'],
			'code' => $row['code']
		);
	}
	header("Content-type: application/json");
	echo json_encode($divides);
}
?>
